[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# IncColor

Increases the component RGB values in a color by the specified amount (results in a lighter color overall).

## Declaration

Source position: graphics.pp line 1939

`function IncColor(`
`AColor: TColor;`
`AQuantity: Byte`
`):TColor;`

## Arguments

`AColor` |  | TColor value with the original color modified in the function.
`AQuantity` |  | The amount by which the separate RGB values in AColor are increased.

## Function result

TColor value with RGB components incremented by the specified amount.

## Description

IncColor separates the color specified in AColor into its Red, Green, and Blue component Byte values. It increases each the RGB Byte values by the amount specified in AQuantity with an upper limit of 255 for each of the Byte values. The modified RGB Byte values are reassembled using RGBToColor to form the return value for the routine.

For example:

    AColor := IncColor(clNavy, 32); // lighten by 12.5%

Use DecColor to decrease (or darken) the RGB component values in a color.

## See also

RedGreenBlue |  | RedGreenBlue - decomposes a composite color into its component Red, Green and Blue values.
RGBToColor |  | Combines the values for Red, Green and Blue into a TColor value.
DecColor |  | Decreases the component RGB values in a color by the specified amount (results in a darker color overall).